Rated 4 out of 5 stars

http://files.tonyq.org/firefox/greasefire-1.0.4.4-fx.xpi wont install because its corrupt.

This review is for a previous version of the add-on (1.0.4).